View Issue Details

IDProjectCategoryView StatusLast Update
0003366GNUnetcadet servicepublic2018-06-07 00:25
ReporterharkAssigned ToBart Polot 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
PlatformLinux/amd64OSDebianOS VersionWheezy
Product VersionSVN HEAD 
Target Version0.11.0pre66Fixed in Version0.11.0pre66 
Summary0003366: Assertion failed at gnunet-service-mesh_tunnel.c:2132
DescriptionAssertion failed at gnunet-service-mesh_tunnel.c:2132
Steps To ReproduceWas trying to receive calls, and call people using conversation, but don't manage to reproduce it.
TagsNo tags attached.

Relationships

related to 0003372 closedBart Polot Mesh creshes while trying to destroy a tunnel twice. 

Activities

Bart Polot

2014-04-08 23:04

manager   ~0008214

1. This is a rather benign bug, just signaling that a tunnel was requested twice to be deleted, which in theory shouldn't happen.

2. Can you provide details about when the bug happen? I'm guessing when a call was finished, but any more data will help a lot :)

hark

2014-04-08 23:10

developer   ~0008215

i tried it a few more times, it sometimes happens on a incoming call, and sometimes after hanging up a call. But it doesn't always happen.

hark

2014-04-08 23:15

developer   ~0008216

ah, figured it out

i think its something with conversation, when the callee hangs up, the caller doesn't end the call, then when the caller hangs up, i get the error.

Bart Polot

2014-04-09 11:58

manager   ~0008217

One more question, does the error happen on the caller's service or the calle's service?

Bart Polot

2014-04-09 12:00

manager   ~0008218

Last edited: 2014-04-09 12:01

View 2 revisions

Also, if you could just enable:

export GNUNET_FORCE_LOG='mesh;;;;DEBUG/;;;;WARNING'

and post the log here, probably all questions would be answered :)

Bart Polot

2014-04-09 12:59

manager   ~0008220

Please try again after r32984 :)

Bart Polot

2014-04-10 02:02

manager   ~0008224

If it wasn't fixed before, should be definietly gone after r33009.

Issue History

Date Modified Username Field Change
2014-04-08 23:01 hark New Issue
2014-04-08 23:01 hark Status new => assigned
2014-04-08 23:01 hark Assigned To => Bart Polot
2014-04-08 23:04 Bart Polot Note Added: 0008214
2014-04-08 23:04 Bart Polot Status assigned => feedback
2014-04-08 23:10 hark Note Added: 0008215
2014-04-08 23:10 hark Status feedback => assigned
2014-04-08 23:15 hark Note Added: 0008216
2014-04-09 11:58 Bart Polot Note Added: 0008217
2014-04-09 11:58 Bart Polot Status assigned => feedback
2014-04-09 12:00 Bart Polot Note Added: 0008218
2014-04-09 12:01 Bart Polot Note Edited: 0008218 View Revisions
2014-04-09 12:59 Bart Polot Note Added: 0008220
2014-04-09 15:25 Bart Polot Relationship added related to 0003372
2014-04-10 02:02 Bart Polot Note Added: 0008224
2014-04-10 02:02 Bart Polot Status feedback => resolved
2014-04-10 02:02 Bart Polot Fixed in Version => SVN HEAD
2014-04-10 02:02 Bart Polot Resolution open => fixed
2014-04-10 19:10 Christian Grothoff Product Version => SVN HEAD
2014-04-10 19:10 Christian Grothoff Fixed in Version SVN HEAD => 0.11.0pre66
2014-04-10 19:10 Christian Grothoff Target Version => 0.11.0pre66
2014-05-09 18:34 Christian Grothoff Category mesh service => cadet service
2018-06-07 00:25 Christian Grothoff Status resolved => closed